### Hierarchy

- $InjectorLike

## Index

### Properties

- strictDi

### Methods

- annotate
- get
- has
- invoke

## Properties

strictDi: boolean

- Defined in common/coreservices.ts:36

## Methods

- annotate(fn: IInjectable, strictDi?: boolean): any[]

- #### Parameters

  - ##### fn IInjectable

  - ##### strictDi: Optional boolean

  #### Returns any[]

  - Defined in common/coreservices.ts:41

- get(token: any): any
- get<T>(token: any): T

- #### Parameters

  - ##### token any

  #### Returns any

  - Defined in common/coreservices.ts:37

- #### Type parameters

  - #### T

  #### Parameters

  - ##### token any

  #### Returns T

  - Defined in common/coreservices.ts:38

- has(token: any): boolean

- #### Parameters

  - ##### token any

  #### Returns boolean

  - Defined in common/coreservices.ts:39

- invoke(fn: IInjectable, context?: any, locals?: Obj): any

- #### Parameters

  - ##### fn IInjectable

  - ##### context: Optional any

  - ##### locals: Optional Obj

  #### Returns any

  - Defined in common/coreservices.ts:40

Generated using TypeDoc